#ifndef __DirectoryEntry_h__
# define __DirectoryEntry_h__

# include "includes"

namespace coreutils {
   
   class DirectoryEntry {
      
    public:
      DirectoryEntry(struct dirent *entry) {
	 memcpy(&this->entry, entry, sizeof(struct dirent));
      }
      
      ~DirectoryEntry() {}		
      
      std::string getName() {
	 return std::string(entry.d_name);
      }
      
    private:
      struct dirent entry;
      
   };
   
}

#endif
